Subject: Re: bug#20093: Fw: bug#20093: master: setting merge-generics duplicate-binding-handler @ expand time raises an error

From: David Pirotte <[email-masked]>
Date: Sun, 24 Jul 2016 23:44:56 -0300

Hi again :)

> ...
> this works fine:

I realized just after I sent that the compile-me script was not the latest
version: no big deal, just this displays exactly what I pasted in the previous mail
Here it is:

;; compile-me script starts here
#! /bin/sh
# -*- mode: scheme; coding: utf-8 -*-
exec guile --no-auto-compile -e main -s $0 "$@"
!#

(eval-when (expand load eval)
  (use-modules (oop goops))
  (default-duplicate-binding-handler
    '(merge-generics replace warn-override-core warn last)))

(use-modules (system base compile)
	     (ice-9 match))

(define (main args)
  (display (version))
  (newline)
  (display (default-duplicate-binding-handler))
  (newline)
  (add-to-load-path (getcwd))
  (match args
    ((cmd file)
     (compile-file file)
     (display (string-append "I compiled you: "
			     file
			     "\n")))))
;; compile-me script ends here

Cheers,
David